/*@#page-include#(common-css.html)*/

<h2 class="mandelbrot-title">Welcome to mandelbrot & julia simulation. This simulation executes all calculations on your
    GPU.</h2>

<hr>
<div class="mandelbrot-grid">
    <div class="overlay-canvas-container">
        <canvas class="canvas-passive mandelbrot-canvas-overlay" id="mandelbrot_canvas" tabindex="1"></canvas>
        <canvas class="canvas-passive div-line-canvas-overlay" id="div_line_canvas" tabindex="1"></canvas>
        <canvas class="text-canvas-overlay" id="text_grid_canvas" tabindex="1"></canvas>
    </div>
    <canvas class="canvas-passive" id="julia_canvas" tabindex="1"></canvas>
</div>

<hr>
<div class="mandelbrot-grid">
    <div style="grid-area: shower" class="configuration-toolbox-ui">
        <div class="coordinates">
            <span>Raster (x, y): </span>
            <div>
                <span>(</span><span id="raster-x-m">1.0</span><span>, </span>
                <span id="raster-y-m">3.0</span><span>)</span>
            </div>
        </div>
        <div class="coordinates">
            <span>Complex (x, y): </span>
            <div>
                <span>(</span><span id="complex-x-m">1.0</span><span>, </span>
                <span id="complex-y-m">2.0</span><span>)</span>
            </div>
        </div>
        <div id="rasterWidth-m">Raster width:</div>
        <div id="rasterHeight-m">Raster height:</div>
        <div id="uMin-m">Complex plane min x:</div>
        <div id="uMax-m">Complex plane max x:</div>
        <div id="vMin-m">Complex plane min y:</div>
        <div id="vMax-m">Complex plane max y:</div>
        <div id="zExponent-m">Exponent for z:</div>
        <div id="depthLimit-m">Depth limit for divergence:</div>
        <div id="zoomScale-m">Zoom factor:</div>
        <div>Zoom lock (at 0.0):
            <input class="zoomLock" type="checkbox" id="zoomLock-m">
        </div>
        <div class="colorPicker">
            Various colorings: <select class="selectColorScheme" id="colorSheme-m" title="colorSheme">
        </select>
        </div>
        <div class="render-button-holder">
            <button type="button" id="render-button-m" class="render-button">Render fractal</button>
        </div>
    </div>
    <div style="grid-area: UI" class="configuration-toolbox-ui">
        <div class="coordinates">
            <span>Raster (x, y): </span>
            <div>
                <span>(</span><span id="raster-x-j">1.0</span><span>, </span>
                <span id="raster-y-j">3.0</span><span>)</span>
            </div>
        </div>
        <div class="coordinates">
            <span>Complex (x, y): </span>
            <div>
                <span>(</span><span id="complex-x-j">1.0</span><span>, </span>
                <span id="complex-y-j">2.0</span><span>)</span>
            </div>
        </div>
        <div id="rasterWidth-j">Raster width:</div>
        <div id="rasterHeight-j">Raster height:</div>
        <div id="uMin-j">Complex plane min x:</div>
        <div id="uMax-j">Complex plane max x:</div>
        <div id="vMin-j">Complex plane min y:</div>
        <div id="vMax-j">Complex plane max y:</div>
        <div id="zExponent-j">Exponent for z:</div>
        <div id="depthLimit-j">Depth limit for divergence:</div>
        <div id="zoomScale-j">Zoom factor:</div>
        <div >Zoom lock (at 0.0):
            <input class="zoomLock" type="checkbox" id="zoomLock-j">
        </div>
        <div class="colorPicker">
            Various colorings: <select class="selectColorScheme" id="colorSheme-j" title="colorSheme-j">
        </select>
        </div>
        <div class="render-button-holder">
            <button type="button" id="render-button-j" class="render-button">Render fractal</button>
        </div>
    </div>
</div>

<!-- Mandelbrot Fractal Shaders -->
<script id="mandelbrot-vertex-shader" type="x-shader/x-vertex">/*@#page-include#(mandelbrot-vert-shader.glsl)*/
</script>
<script id="mandelbrot-fragment-shader" type="x-shader/x-fragment">/*@#page-include#(mandelbrot-frag-shader.glsl)*/
</script>

<!-- Complex Grid Shaders -->
<script id="grid-vertex-shader" type="x-shader/x-vertex">/*@#page-include#(grid-vert-shader.glsl)*/
</script>
<script id="grid-fragment-shader" type="x-shader/x-fragment">/*@#page-include#(grid-frag-shader.glsl)*/
</script>

<!-- Mandelbrot Divergence line Shaders -->
<script id="div-line-vertex-shader" type="x-shader/x-vertex">/*@#page-include#(div-line-vert-shader.glsl)*/
</script>
<script id="div-line-fragment-shader" type="x-shader/x-fragment">/*@#page-include#(div-line-frag-shader.glsl)*/
</script>

<!-- Julia Fractal Shaders -->
<script id="julia-vertex-shader" type="x-shader/x-vertex">/*@#page-include#(julia-vert-shader.glsl)*/
</script>
<script id="julia-fragment-shader" type="x-shader/x-fragment">/*@#page-include#(julia-frag-shader.glsl)*/
</script>

/*@#page-include#(common-scripts.html)*/

<!-- Mandelbrot scripts -->
<script src="@#file#(projectUtilMandelbrot.js)" type="text/javascript"></script>
<script src="@#file#(mandelbrotFast.js)" type="text/javascript"></script>

<!-- Julia scripts -->
<script src="@#file#(projectUtilJulia.js)" type="text/javascript"></script>
<script src="@#file#(juliaFast.js)" type="text/javascript"></script>

<!-- Init for both fractals -->
<script src="@#file#(initJuliaMandelbrot.js)" type="text/javascript"></script>
